apiVersion: apps/v1
kind: Deployment

metadata:
  labels:
    app: echo                     # label without consequences used to group resources
  name: echo
spec:
  selector:
    matchLabels:
      app: echo                   # matches the replica labels / template.metadata.labels
  template:
    metadata:
      labels:
        app: echo                 # labels for the replica selector / selector.matchLabels
        tasty: mortadella
    spec:
      containers:
        - image: echoserver
          name: echoserver
          ports:
            - containerPort: 8080
          volumeMounts:
            - mountPath: /tmp        
              name: readmemount      
              readOnly: true
      volumes:                    
      - name: readmemount 
        configMap:
          name: kustomize-basics  # matches the declared configmap name that we generated
